<?php
/*
Plugin Name: Tagvn Button
Version: 1.0.1
Plugin URI: http://www.tagvn.com/buttons#wordpress
Description: Nút gửi bài cho phép bạn chèn nút chia sẻ của Tagvn vào Blog. Từ đó sẽ tạo điều kiện cho bạn hoặc các user khác gửi thông tin từ website của mình vào Tagvn.com. <a href="http://www.tagvn.com/buttons" target="_blank">Xem thêm</a> - <a href="../wp-content/plugins/tagvn_button/readme.txt" target="_blank">Hướng dẫn sử dụng</a>.
Author: Tagvn.com
Author URI: http://www.tagvn.com/contactus
*/

$message = "";

if (!function_exists('smtagvn_request_handler')) {
    function smtagvn_request_handler() {
        global $message;

        if ($_POST['smtagvn_action'] == "update options") {
            $smtagvn_align_v = $_POST['smtagvn_align_sl'];

    		if(get_option("smtagvn_box_align")) {
    			update_option("smtagvn_box_align", $smtagvn_align_v);
    		} else {
    			add_option("smtagvn_box_align", $smtagvn_align_v);
    		}

            $message = '<br clear="all" /> <div id="message" class="updated fade"><p><strong>Save options. </strong></p></div>';
        }
    }
}

if(!function_exists('smtagvn_add_menu')) {
    function smtagvn_add_menu () {
        add_options_page("Option Tagvn.com", "Option Tagvn.com", 8, basename(__FILE__), "smtagvn_displayOptions");
    }
}

if (!function_exists('smtagvn_displayOptions')) {
    function smtagvn_displayOptions() {

        global $message;
        echo $message;

		print('<div class="wrap">');
		print('<h2>Option Tagvn.com</h2>');

        print ('<form name="smtagvn_form" action="'. get_bloginfo("wpurl") . '/wp-admin/options-general.php?page=wp-tagvn.php' .'" method="post">');
?>

		<p>Positioning of button tag.it:
        <select name="smtagvn_align_sl" id="smtagvn_align_sl">
			<option value="Top Left"   <?php if (get_option("smtagvn_box_align") == "Top Left") echo " selected"; ?> >Top to Left</option>
			<option value="Top Right"   <?php if (get_option("smtagvn_box_align") == "Top Right") echo " selected"; ?> >Top Right</option>
			<option value="Bottom Left"  <?php if (get_option("smtagvn_box_align") == "Bottom Left") echo " selected"; ?> >In Low to Left</option>
			<option value="Bottom Right"  <?php if (get_option("smtagvn_box_align") == "Bottom Right") echo " selected"; ?> >In Lower Right</option>
			<option value="None"  <?php if (get_option("smtagvn_box_align") == "None") echo " selected"; ?> >Through Creation Code</option>
		</select><br /><br /> </p>

<?php
		print ('<p><input type="submit" value="Save &raquo;"></p>');
		print ('<input type="hidden" name="smtagvn_action" value="update options" />');
		print('</form></div>');

    }
}


if (!function_exists('smtagvn_tagithtml')) {
	function smtagvn_tagithtml($float) {
		global $wp_query;
		$post = $wp_query->post;
		$permalink = get_permalink($post->ID);
        $title = urlencode($post->post_title);
		$tagithtml = <<<CODE
    <div style="clear:both;"></div>
    <span style="margin: 0px 6px 0px 0px; float: $float;">

	<script type="text/javascript">
	submit_url = "$permalink";
	</script>
    <script type="text/javascript" src="http://www.tagvn.com/evb/button.php"></script>
	</span>
CODE;
	return  $tagithtml;
	}
}


if (!function_exists('smtagvn_addbutton')) {
	function smtagvn_addbutton($content) {

		if ( !is_feed() && !is_page() && !is_archive() && !is_search() && !is_404() ) {
    		if(! preg_match('|<!--Tagit-->|', $content)) {
    		    $smtagvn_align = get_option("smtagvn_box_align");
    		    if ($smtagvn_align) {
                    switch ($smtagvn_align) {
                        case "Top Left":
        		              return smtagvn_tagithtml("left").$content;
                              break;
                        case "Top Right":
        		              return smtagvn_tagithtml("Right").$content;
                              break;
                        case "Bottom Left":
        		              return $content.smtagvn_tagithtml("left");
                              break;
                        case "Bottom Right":
        		              return $content.smtagvn_tagithtml("right");
                              break;
                        case "None":
        		              return $content;
                              break;
                        default:
        		              return smtagvn_tagithtml("left").$content;
                              break;
                    }
                } else {
        		      return smtagvn_tagithtml("left").$content;
                }

    		} else {
                  return str_replace('<!--Tagit-->', smtagvn_tagithtml(""), $content);
            }
        } else {
			return $content;
        }
	}
}

if (!function_exists('show_tagit')) {
	function show_tagit($float = "left") {
        global $post;
		$permalink = get_permalink($post->ID);
		echo <<<CODE

    <span style="margin: 0px 6px 0px 0px; float: $float;">

	<script type="text/javascript">
	submit_url = "$permalink";
	</script>
    <script type="text/javascript" src="http://www.tagvn.com/evb/button.php"></script>
	</span>
CODE;
    }
}

add_filter('the_content', 'smtagvn_addbutton', 999);
add_action('admin_menu', 'smtagvn_add_menu');
add_action('init', 'smtagvn_request_handler');

?>
